require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS1, "flowersRB", false);
SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", true);
SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", false);

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusPetite", false);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersCheese", true);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpGourmet", false);

SManager:AddMeal(MealType.FISH, "fishSwordfishOlive", false);
SManager:AddMeal(MealType.STEAK, "steakCabernetFiletMignon", false);
SManager:AddMeal(MealType.CHICKEN, "chickenRice", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.APPETIZER, SelectionType.MEAL);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");